浏览代码

New project created

Lauren Green 6 年前
父节点
当前提交
48fb708c13

二进制
.DS_Store 查看文件


+ 286
- 0
mvnw 查看文件

@@ -0,0 +1,286 @@
1
+#!/bin/sh
2
+# ----------------------------------------------------------------------------
3
+# Licensed to the Apache Software Foundation (ASF) under one
4
+# or more contributor license agreements.  See the NOTICE file
5
+# distributed with this work for additional information
6
+# regarding copyright ownership.  The ASF licenses this file
7
+# to you under the Apache License, Version 2.0 (the
8
+# "License"); you may not use this file except in compliance
9
+# with the License.  You may obtain a copy of the License at
10
+#
11
+#    http://www.apache.org/licenses/LICENSE-2.0
12
+#
13
+# Unless required by applicable law or agreed to in writing,
14
+# software distributed under the License is distributed on an
15
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
16
+# KIND, either express or implied.  See the License for the
17
+# specific language governing permissions and limitations
18
+# under the License.
19
+# ----------------------------------------------------------------------------
20
+
21
+# ----------------------------------------------------------------------------
22
+# Maven2 Start Up Batch script
23
+#
24
+# Required ENV vars:
25
+# ------------------
26
+#   JAVA_HOME - location of a JDK home dir
27
+#
28
+# Optional ENV vars
29
+# -----------------
30
+#   M2_HOME - location of maven2's installed home dir
31
+#   MAVEN_OPTS - parameters passed to the Java VM when running Maven
32
+#     e.g. to debug Maven itself, use
33
+#       set MAVEN_OPTS=-Xdebug -Xrunjdwp:transport=dt_socket,server=y,suspend=y,address=8000
34
+#   MAVEN_SKIP_RC - flag to disable loading of mavenrc files
35
+# ----------------------------------------------------------------------------
36
+
37
+if [ -z "$MAVEN_SKIP_RC" ] ; then
38
+
39
+  if [ -f /etc/mavenrc ] ; then
40
+    . /etc/mavenrc
41
+  fi
42
+
43
+  if [ -f "$HOME/.mavenrc" ] ; then
44
+    . "$HOME/.mavenrc"
45
+  fi
46
+
47
+fi
48
+
49
+# OS specific support.  $var _must_ be set to either true or false.
50
+cygwin=false;
51
+darwin=false;
52
+mingw=false
53
+case "`uname`" in
54
+  CYGWIN*) cygwin=true ;;
55
+  MINGW*) mingw=true;;
56
+  Darwin*) darwin=true
57
+    # Use /usr/libexec/java_home if available, otherwise fall back to /Library/Java/Home
58
+    # See https://developer.apple.com/library/mac/qa/qa1170/_index.html
59
+    if [ -z "$JAVA_HOME" ]; then
60
+      if [ -x "/usr/libexec/java_home" ]; then
61
+        export JAVA_HOME="`/usr/libexec/java_home`"
62
+      else
63
+        export JAVA_HOME="/Library/Java/Home"
64
+      fi
65
+    fi
66
+    ;;
67
+esac
68
+
69
+if [ -z "$JAVA_HOME" ] ; then
70
+  if [ -r /etc/gentoo-release ] ; then
71
+    JAVA_HOME=`java-config --jre-home`
72
+  fi
73
+fi
74
+
75
+if [ -z "$M2_HOME" ] ; then
76
+  ## resolve links - $0 may be a link to maven's home
77
+  PRG="$0"
78
+
79
+  # need this for relative symlinks
80
+  while [ -h "$PRG" ] ; do
81
+    ls=`ls -ld "$PRG"`
82
+    link=`expr "$ls" : '.*-> \(.*\)$'`
83
+    if expr "$link" : '/.*' > /dev/null; then
84
+      PRG="$link"
85
+    else
86
+      PRG="`dirname "$PRG"`/$link"
87
+    fi
88
+  done
89
+
90
+  saveddir=`pwd`
91
+
92
+  M2_HOME=`dirname "$PRG"`/..
93
+
94
+  # make it fully qualified
95
+  M2_HOME=`cd "$M2_HOME" && pwd`
96
+
97
+  cd "$saveddir"
98
+  # echo Using m2 at $M2_HOME
99
+fi
100
+
101
+# For Cygwin, ensure paths are in UNIX format before anything is touched
102
+if $cygwin ; then
103
+  [ -n "$M2_HOME" ] &&
104
+    M2_HOME=`cygpath --unix "$M2_HOME"`
105
+  [ -n "$JAVA_HOME" ] &&
106
+    JAVA_HOME=`cygpath --unix "$JAVA_HOME"`
107
+  [ -n "$CLASSPATH" ] &&
108
+    CLASSPATH=`cygpath --path --unix "$CLASSPATH"`
109
+fi
110
+
111
+# For Mingw, ensure paths are in UNIX format before anything is touched
112
+if $mingw ; then
113
+  [ -n "$M2_HOME" ] &&
114
+    M2_HOME="`(cd "$M2_HOME"; pwd)`"
115
+  [ -n "$JAVA_HOME" ] &&
116
+    JAVA_HOME="`(cd "$JAVA_HOME"; pwd)`"
117
+  # TODO classpath?
118
+fi
119
+
120
+if [ -z "$JAVA_HOME" ]; then
121
+  javaExecutable="`which javac`"
122
+  if [ -n "$javaExecutable" ] && ! [ "`expr \"$javaExecutable\" : '\([^ ]*\)'`" = "no" ]; then
123
+    # readlink(1) is not available as standard on Solaris 10.
124
+    readLink=`which readlink`
125
+    if [ ! `expr "$readLink" : '\([^ ]*\)'` = "no" ]; then
126
+      if $darwin ; then
127
+        javaHome="`dirname \"$javaExecutable\"`"
128
+        javaExecutable="`cd \"$javaHome\" && pwd -P`/javac"
129
+      else
130
+        javaExecutable="`readlink -f \"$javaExecutable\"`"
131
+      fi
132
+      javaHome="`dirname \"$javaExecutable\"`"
133
+      javaHome=`expr "$javaHome" : '\(.*\)/bin'`
134
+      JAVA_HOME="$javaHome"
135
+      export JAVA_HOME
136
+    fi
137
+  fi
138
+fi
139
+
140
+if [ -z "$JAVACMD" ] ; then
141
+  if [ -n "$JAVA_HOME"  ] ; then
142
+    if [ -x "$JAVA_HOME/jre/sh/java" ] ; then
143
+      # IBM's JDK on AIX uses strange locations for the executables
144
+      JAVACMD="$JAVA_HOME/jre/sh/java"
145
+    else
146
+      JAVACMD="$JAVA_HOME/bin/java"
147
+    fi
148
+  else
149
+    JAVACMD="`which java`"
150
+  fi
151
+fi
152
+
153
+if [ ! -x "$JAVACMD" ] ; then
154
+  echo "Error: JAVA_HOME is not defined correctly." >&2
155
+  echo "  We cannot execute $JAVACMD" >&2
156
+  exit 1
157
+fi
158
+
159
+if [ -z "$JAVA_HOME" ] ; then
160
+  echo "Warning: JAVA_HOME environment variable is not set."
161
+fi
162
+
163
+CLASSWORLDS_LAUNCHER=org.codehaus.plexus.classworlds.launcher.Launcher
164
+
165
+# traverses directory structure from process work directory to filesystem root
166
+# first directory with .mvn subdirectory is considered project base directory
167
+find_maven_basedir() {
168
+
169
+  if [ -z "$1" ]
170
+  then
171
+    echo "Path not specified to find_maven_basedir"
172
+    return 1
173
+  fi
174
+
175
+  basedir="$1"
176
+  wdir="$1"
177
+  while [ "$wdir" != '/' ] ; do
178
+    if [ -d "$wdir"/.mvn ] ; then
179
+      basedir=$wdir
180
+      break
181
+    fi
182
+    # workaround for JBEAP-8937 (on Solaris 10/Sparc)
183
+    if [ -d "${wdir}" ]; then
184
+      wdir=`cd "$wdir/.."; pwd`
185
+    fi
186
+    # end of workaround
187
+  done
188
+  echo "${basedir}"
189
+}
190
+
191
+# concatenates all lines of a file
192
+concat_lines() {
193
+  if [ -f "$1" ]; then
194
+    echo "$(tr -s '\n' ' ' < "$1")"
195
+  fi
196
+}
197
+
198
+BASE_DIR=`find_maven_basedir "$(pwd)"`
199
+if [ -z "$BASE_DIR" ]; then
200
+  exit 1;
201
+fi
202
+
203
+##########################################################################################
204
+# Extension to allow automatically downloading the maven-wrapper.jar from Maven-central
205
+# This allows using the maven wrapper in projects that prohibit checking in binary data.
206
+##########################################################################################
207
+if [ -r "$BASE_DIR/.mvn/wrapper/maven-wrapper.jar" ]; then
208
+    if [ "$MVNW_VERBOSE" = true ]; then
209
+      echo "Found .mvn/wrapper/maven-wrapper.jar"
210
+    fi
211
+else
212
+    if [ "$MVNW_VERBOSE" = true ]; then
213
+      echo "Couldn't find .mvn/wrapper/maven-wrapper.jar, downloading it ..."
214
+    fi
215
+    jarUrl="https://repo.maven.apache.org/maven2/io/takari/maven-wrapper/0.4.2/maven-wrapper-0.4.2.jar"
216
+    while IFS="=" read key value; do
217
+      case "$key" in (wrapperUrl) jarUrl="$value"; break ;;
218
+      esac
219
+    done < "$BASE_DIR/.mvn/wrapper/maven-wrapper.properties"
220
+    if [ "$MVNW_VERBOSE" = true ]; then
221
+      echo "Downloading from: $jarUrl"
222
+    fi
223
+    wrapperJarPath="$BASE_DIR/.mvn/wrapper/maven-wrapper.jar"
224
+
225
+    if command -v wget > /dev/null; then
226
+        if [ "$MVNW_VERBOSE" = true ]; then
227
+          echo "Found wget ... using wget"
228
+        fi
229
+        wget "$jarUrl" -O "$wrapperJarPath"
230
+    elif command -v curl > /dev/null; then
231
+        if [ "$MVNW_VERBOSE" = true ]; then
232
+          echo "Found curl ... using curl"
233
+        fi
234
+        curl -o "$wrapperJarPath" "$jarUrl"
235
+    else
236
+        if [ "$MVNW_VERBOSE" = true ]; then
237
+          echo "Falling back to using Java to download"
238
+        fi
239
+        javaClass="$BASE_DIR/.mvn/wrapper/MavenWrapperDownloader.java"
240
+        if [ -e "$javaClass" ]; then
241
+            if [ ! -e "$BASE_DIR/.mvn/wrapper/MavenWrapperDownloader.class" ]; then
242
+                if [ "$MVNW_VERBOSE" = true ]; then
243
+                  echo " - Compiling MavenWrapperDownloader.java ..."
244
+                fi
245
+                # Compiling the Java class
246
+                ("$JAVA_HOME/bin/javac" "$javaClass")
247
+            fi
248
+            if [ -e "$BASE_DIR/.mvn/wrapper/MavenWrapperDownloader.class" ]; then
249
+                # Running the downloader
250
+                if [ "$MVNW_VERBOSE" = true ]; then
251
+                  echo " - Running MavenWrapperDownloader.java ..."
252
+                fi
253
+                ("$JAVA_HOME/bin/java" -cp .mvn/wrapper MavenWrapperDownloader "$MAVEN_PROJECTBASEDIR")
254
+            fi
255
+        fi
256
+    fi
257
+fi
258
+##########################################################################################
259
+# End of extension
260
+##########################################################################################
261
+
262
+export MAVEN_PROJECTBASEDIR=${MAVEN_BASEDIR:-"$BASE_DIR"}
263
+if [ "$MVNW_VERBOSE" = true ]; then
264
+  echo $MAVEN_PROJECTBASEDIR
265
+fi
266
+MAVEN_OPTS="$(concat_lines "$MAVEN_PROJECTBASEDIR/.mvn/jvm.config") $MAVEN_OPTS"
267
+
268
+# For Cygwin, switch paths to Windows format before running java
269
+if $cygwin; then
270
+  [ -n "$M2_HOME" ] &&
271
+    M2_HOME=`cygpath --path --windows "$M2_HOME"`
272
+  [ -n "$JAVA_HOME" ] &&
273
+    JAVA_HOME=`cygpath --path --windows "$JAVA_HOME"`
274
+  [ -n "$CLASSPATH" ] &&
275
+    CLASSPATH=`cygpath --path --windows "$CLASSPATH"`
276
+  [ -n "$MAVEN_PROJECTBASEDIR" ] &&
277
+    MAVEN_PROJECTBASEDIR=`cygpath --path --windows "$MAVEN_PROJECTBASEDIR"`
278
+fi
279
+
280
+WRAPPER_LAUNCHER=org.apache.maven.wrapper.MavenWrapperMain
281
+
282
+exec "$JAVACMD" \
283
+  $MAVEN_OPTS \
284
+  -classpath "$MAVEN_PROJECTBASEDIR/.mvn/wrapper/maven-wrapper.jar" \
285
+  "-Dmaven.home=${M2_HOME}" "-Dmaven.multiModuleProjectDirectory=${MAVEN_PROJECTBASEDIR}" \
286
+  ${WRAPPER_LAUNCHER} $MAVEN_CONFIG "$@"

+ 161
- 0
mvnw.cmd 查看文件

@@ -0,0 +1,161 @@
1
+@REM ----------------------------------------------------------------------------
2
+@REM Licensed to the Apache Software Foundation (ASF) under one
3
+@REM or more contributor license agreements.  See the NOTICE file
4
+@REM distributed with this work for additional information
5
+@REM regarding copyright ownership.  The ASF licenses this file
6
+@REM to you under the Apache License, Version 2.0 (the
7
+@REM "License"); you may not use this file except in compliance
8
+@REM with the License.  You may obtain a copy of the License at
9
+@REM
10
+@REM    http://www.apache.org/licenses/LICENSE-2.0
11
+@REM
12
+@REM Unless required by applicable law or agreed to in writing,
13
+@REM software distributed under the License is distributed on an
14
+@REM "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
15
+@REM KIND, either express or implied.  See the License for the
16
+@REM specific language governing permissions and limitations
17
+@REM under the License.
18
+@REM ----------------------------------------------------------------------------
19
+
20
+@REM ----------------------------------------------------------------------------
21
+@REM Maven2 Start Up Batch script
22
+@REM
23
+@REM Required ENV vars:
24
+@REM JAVA_HOME - location of a JDK home dir
25
+@REM
26
+@REM Optional ENV vars
27
+@REM M2_HOME - location of maven2's installed home dir
28
+@REM MAVEN_BATCH_ECHO - set to 'on' to enable the echoing of the batch commands
29
+@REM MAVEN_BATCH_PAUSE - set to 'on' to wait for a key stroke before ending
30
+@REM MAVEN_OPTS - parameters passed to the Java VM when running Maven
31
+@REM     e.g. to debug Maven itself, use
32
+@REM set MAVEN_OPTS=-Xdebug -Xrunjdwp:transport=dt_socket,server=y,suspend=y,address=8000
33
+@REM MAVEN_SKIP_RC - flag to disable loading of mavenrc files
34
+@REM ----------------------------------------------------------------------------
35
+
36
+@REM Begin all REM lines with '@' in case MAVEN_BATCH_ECHO is 'on'
37
+@echo off
38
+@REM set title of command window
39
+title %0
40
+@REM enable echoing my setting MAVEN_BATCH_ECHO to 'on'
41
+@if "%MAVEN_BATCH_ECHO%" == "on"  echo %MAVEN_BATCH_ECHO%
42
+
43
+@REM set %HOME% to equivalent of $HOME
44
+if "%HOME%" == "" (set "HOME=%HOMEDRIVE%%HOMEPATH%")
45
+
46
+@REM Execute a user defined script before this one
47
+if not "%MAVEN_SKIP_RC%" == "" goto skipRcPre
48
+@REM check for pre script, once with legacy .bat ending and once with .cmd ending
49
+if exist "%HOME%\mavenrc_pre.bat" call "%HOME%\mavenrc_pre.bat"
50
+if exist "%HOME%\mavenrc_pre.cmd" call "%HOME%\mavenrc_pre.cmd"
51
+:skipRcPre
52
+
53
+@setlocal
54
+
55
+set ERROR_CODE=0
56
+
57
+@REM To isolate internal variables from possible post scripts, we use another setlocal
58
+@setlocal
59
+
60
+@REM ==== START VALIDATION ====
61
+if not "%JAVA_HOME%" == "" goto OkJHome
62
+
63
+echo.
64
+echo Error: JAVA_HOME not found in your environment. >&2
65
+echo Please set the JAVA_HOME variable in your environment to match the >&2
66
+echo location of your Java installation. >&2
67
+echo.
68
+goto error
69
+
70
+:OkJHome
71
+if exist "%JAVA_HOME%\bin\java.exe" goto init
72
+
73
+echo.
74
+echo Error: JAVA_HOME is set to an invalid directory. >&2
75
+echo JAVA_HOME = "%JAVA_HOME%" >&2
76
+echo Please set the JAVA_HOME variable in your environment to match the >&2
77
+echo location of your Java installation. >&2
78
+echo.
79
+goto error
80
+
81
+@REM ==== END VALIDATION ====
82
+
83
+:init
84
+
85
+@REM Find the project base dir, i.e. the directory that contains the folder ".mvn".
86
+@REM Fallback to current working directory if not found.
87
+
88
+set MAVEN_PROJECTBASEDIR=%MAVEN_BASEDIR%
89
+IF NOT "%MAVEN_PROJECTBASEDIR%"=="" goto endDetectBaseDir
90
+
91
+set EXEC_DIR=%CD%
92
+set WDIR=%EXEC_DIR%
93
+:findBaseDir
94
+IF EXIST "%WDIR%"\.mvn goto baseDirFound
95
+cd ..
96
+IF "%WDIR%"=="%CD%" goto baseDirNotFound
97
+set WDIR=%CD%
98
+goto findBaseDir
99
+
100
+:baseDirFound
101
+set MAVEN_PROJECTBASEDIR=%WDIR%
102
+cd "%EXEC_DIR%"
103
+goto endDetectBaseDir
104
+
105
+:baseDirNotFound
106
+set MAVEN_PROJECTBASEDIR=%EXEC_DIR%
107
+cd "%EXEC_DIR%"
108
+
109
+:endDetectBaseDir
110
+
111
+IF NOT EXIST "%MAVEN_PROJECTBASEDIR%\.mvn\jvm.config" goto endReadAdditionalConfig
112
+
113
+@setlocal EnableExtensions EnableDelayedExpansion
114
+for /F "usebackq delims=" %%a in ("%MAVEN_PROJECTBASEDIR%\.mvn\jvm.config") do set JVM_CONFIG_MAVEN_PROPS=!JVM_CONFIG_MAVEN_PROPS! %%a
115
+@endlocal & set JVM_CONFIG_MAVEN_PROPS=%JVM_CONFIG_MAVEN_PROPS%
116
+
117
+:endReadAdditionalConfig
118
+
119
+SET MAVEN_JAVA_EXE="%JAVA_HOME%\bin\java.exe"
120
+set WRAPPER_JAR="%MAVEN_PROJECTBASEDIR%\.mvn\wrapper\maven-wrapper.jar"
121
+set WRAPPER_LAUNCHER=org.apache.maven.wrapper.MavenWrapperMain
122
+
123
+set DOWNLOAD_URL="https://repo.maven.apache.org/maven2/io/takari/maven-wrapper/0.4.2/maven-wrapper-0.4.2.jar"
124
+FOR /F "tokens=1,2 delims==" %%A IN (%MAVEN_PROJECTBASEDIR%\.mvn\wrapper\maven-wrapper.properties) DO (
125
+	IF "%%A"=="wrapperUrl" SET DOWNLOAD_URL=%%B 
126
+)
127
+
128
+@REM Extension to allow automatically downloading the maven-wrapper.jar from Maven-central
129
+@REM This allows using the maven wrapper in projects that prohibit checking in binary data.
130
+if exist %WRAPPER_JAR% (
131
+    echo Found %WRAPPER_JAR%
132
+) else (
133
+    echo Couldn't find %WRAPPER_JAR%, downloading it ...
134
+	echo Downloading from: %DOWNLOAD_URL%
135
+    powershell -Command "(New-Object Net.WebClient).DownloadFile('%DOWNLOAD_URL%', '%WRAPPER_JAR%')"
136
+    echo Finished downloading %WRAPPER_JAR%
137
+)
138
+@REM End of extension
139
+
140
+%MAVEN_JAVA_EXE% %JVM_CONFIG_MAVEN_PROPS% %MAVEN_OPTS% %MAVEN_DEBUG_OPTS% -classpath %WRAPPER_JAR% "-Dmaven.multiModuleProjectDirectory=%MAVEN_PROJECTBASEDIR%" %WRAPPER_LAUNCHER% %MAVEN_CONFIG% %*
141
+if ERRORLEVEL 1 goto error
142
+goto end
143
+
144
+:error
145
+set ERROR_CODE=1
146
+
147
+:end
148
+@endlocal & set ERROR_CODE=%ERROR_CODE%
149
+
150
+if not "%MAVEN_SKIP_RC%" == "" goto skipRcPost
151
+@REM check for post script, once with legacy .bat ending and once with .cmd ending
152
+if exist "%HOME%\mavenrc_post.bat" call "%HOME%\mavenrc_post.bat"
153
+if exist "%HOME%\mavenrc_post.cmd" call "%HOME%\mavenrc_post.cmd"
154
+:skipRcPost
155
+
156
+@REM pause the script if MAVEN_BATCH_PAUSE is set to 'on'
157
+if "%MAVEN_BATCH_PAUSE%" == "on" pause
158
+
159
+if "%MAVEN_TERMINATE_CMD%" == "on" exit %ERROR_CODE%
160
+
161
+exit /B %ERROR_CODE%

+ 52
- 52
pom.xml 查看文件

@@ -1,69 +1,69 @@
1 1
 <?xml version="1.0" encoding="UTF-8"?>
2 2
 <project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
3
-	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
4
-	<modelVersion>4.0.0</modelVersion>
3
+         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
4
+    <modelVersion>4.0.0</modelVersion>
5 5
 
6
-	<groupId>com.zipcodewilmington</groupId>
7
-	<artifactId>bakery</artifactId>
8
-	<version>0.0.1-SNAPSHOT</version>
9
-	<packaging>jar</packaging>
6
+    <groupId>com.example</groupId>
7
+    <artifactId>demo</artifactId>
8
+    <version>0.0.1-SNAPSHOT</version>
9
+    <packaging>jar</packaging>
10 10
 
11
-	<name>bakery</name>
12
-	<description>Demo project for Spring Boot</description>
11
+    <name>CR-MicroLabs-Annotations-Bakery</name>
12
+    <description>Bakery</description>
13 13
 
14
-	<parent>
15
-		<groupId>org.springframework.boot</groupId>
16
-		<artifactId>spring-boot-starter-parent</artifactId>
17
-		<version>2.0.4.RELEASE</version>
18
-		<relativePath/> <!-- lookup parent from repository -->
19
-	</parent>
14
+    <parent>
15
+        <groupId>org.springframework.boot</groupId>
16
+        <artifactId>spring-boot-starter-parent</artifactId>
17
+        <version>2.1.1.RELEASE</version>
18
+        <relativePath/> <!-- lookup parent from repository -->
19
+    </parent>
20 20
 
21
-	<properties>
22
-		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
23
-		<project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding>
24
-		<java.version>1.8</java.version>
25
-	</properties>
21
+    <properties>
22
+        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
23
+        <project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding>
24
+        <java.version>1.8</java.version>
25
+    </properties>
26 26
 
27
-	<dependencies>
28
-		<dependency>
29
-			<groupId>org.springframework.boot</groupId>
30
-			<artifactId>spring-boot-starter</artifactId>
31
-		</dependency>
32
-
33
-		<dependency>
34
-			<groupId>org.springframework.boot</groupId>
35
-			<artifactId>spring-boot-starter-data-rest</artifactId>
36
-		</dependency>
37
-
38
-		<dependency>
39
-			<groupId>org.springframework.boot</groupId>
40
-			<artifactId>spring-boot-starter-web</artifactId>
41
-		</dependency>
27
+    <dependencies>
28
+        <dependency>
29
+            <groupId>org.springframework.boot</groupId>
30
+            <artifactId>spring-boot-starter-web</artifactId>
31
+        </dependency>
32
+        <dependency>
33
+            <groupId>org.hsqldb</groupId>
34
+            <artifactId>hsqldb</artifactId>
35
+            <scope>runtime</scope>
36
+        </dependency>
42 37
 
43
-		<dependency>
44
-			<groupId>org.springframework.boot</groupId>
45
-			<artifactId>spring-boot-starter-test</artifactId>
46
-			<scope>test</scope>
47
-		</dependency>
48
-		<dependency>
49
-			<groupId>org.springframework.data</groupId>
50
-			<artifactId>spring-data-commons</artifactId>
51
-			<version>1.13.10.RELEASE</version>
52
-		</dependency>
38
+        <dependency>
39
+            <groupId>javax.inject</groupId>
40
+            <artifactId>javax.inject</artifactId>
41
+            <version>1</version>
42
+        </dependency>
43
+        <dependency>
44
+            <groupId>org.springframework.boot</groupId>
45
+            <artifactId>spring-boot-devtools</artifactId>
46
+            <scope>runtime</scope>
47
+        </dependency>
48
+        <dependency>
49
+            <groupId>org.springframework.boot</groupId>
50
+            <artifactId>spring-boot-starter-test</artifactId>
51
+            <scope>test</scope>
52
+        </dependency>
53 53
         <dependency>
54 54
             <groupId>org.springframework.boot</groupId>
55 55
             <artifactId>spring-boot-starter-data-jpa</artifactId>
56 56
         </dependency>
57 57
     </dependencies>
58 58
 
59
-	<build>
60
-		<plugins>
61
-			<plugin>
62
-				<groupId>org.springframework.boot</groupId>
63
-				<artifactId>spring-boot-maven-plugin</artifactId>
64
-			</plugin>
65
-		</plugins>
66
-	</build>
59
+    <build>
60
+        <plugins>
61
+            <plugin>
62
+                <groupId>org.springframework.boot</groupId>
63
+                <artifactId>spring-boot-maven-plugin</artifactId>
64
+            </plugin>
65
+        </plugins>
66
+    </build>
67 67
 
68 68
 
69 69
 </project>

src/main/java/com/zipcodewilmington/bakery/BakeryApplication.java → src/main/java/com/example/demo/BakeryApplication.java 查看文件

@@ -1,4 +1,4 @@
1
-package com.zipcodewilmington.bakery;
1
+package com.example.demo;
2 2
 
3 3
 import org.springframework.boot.SpringApplication;
4 4
 import org.springframework.boot.autoconfigure.SpringBootApplication;
@@ -6,7 +6,8 @@ import org.springframework.boot.autoconfigure.SpringBootApplication;
6 6
 @SpringBootApplication
7 7
 public class BakeryApplication {
8 8
 
9
-	public static void main(String[] args) {
10
-		SpringApplication.run(BakeryApplication.class, args);
11
-	}
9
+    public static void main(String[] args) {
10
+        SpringApplication.run(BakeryApplication.class, args);
11
+    }
12 12
 }
13
+

src/main/java/com/zipcodewilmington/bakery/Controllers/BakerController.java → src/main/java/com/example/demo/Controllers/BakerController.java 查看文件

@@ -1,7 +1,7 @@
1
-package com.zipcodewilmington.bakery.Controllers;
1
+package com.example.demo.Controllers;
2 2
 
3
-import com.zipcodewilmington.bakery.Models.Baker;
4
-import com.zipcodewilmington.bakery.Repositories.BakerRepository;
3
+import com.example.demo.Models.Baker;
4
+import com.example.demo.Repositories.BakerRepository;
5 5
 import org.springframework.beans.factory.annotation.Autowired;
6 6
 import org.springframework.http.HttpStatus;
7 7
 import org.springframework.http.ResponseEntity;
@@ -10,9 +10,13 @@ import org.springframework.web.bind.annotation.*;
10 10
 @RestController
11 11
 public class BakerController {
12 12
 
13
-    @Autowired
14 13
     private BakerRepository bakerRepository;
15 14
 
15
+    @Autowired
16
+    public BakerController(BakerRepository bakerRepository){
17
+        this.bakerRepository = bakerRepository;
18
+    }
19
+
16 20
     @RequestMapping(value="/bakers", method= RequestMethod.GET)
17 21
     public ResponseEntity<Iterable<Baker>> index() {
18 22
         return new ResponseEntity<>(this.bakerRepository.findAll(), HttpStatus.OK);
@@ -20,7 +24,7 @@ public class BakerController {
20 24
 
21 25
     @RequestMapping(value="/bakers/id", method= RequestMethod.GET)
22 26
     public ResponseEntity<Baker> show(@PathVariable Long id) {
23
-        return new ResponseEntity<>(this.bakerRepository.findOne(id), HttpStatus.OK);
27
+        return new ResponseEntity<>(this.bakerRepository.findById(id).get(), HttpStatus.OK);
24 28
     }
25 29
 
26 30
     @RequestMapping(value="/bakers", method= RequestMethod.POST)
@@ -28,9 +32,9 @@ public class BakerController {
28 32
         return new ResponseEntity<>(this.bakerRepository.save(baker), HttpStatus.CREATED);
29 33
     }
30 34
 
31
-    @RequestMapping(value="/bakers/id", method= RequestMethod.GET)
35
+    @RequestMapping(value="/bakers/id", method= RequestMethod.PUT)
32 36
     public ResponseEntity<Baker> update(@PathVariable Long id, @RequestBody Baker baker) {
33
-        Baker foundBaker = bakerRepository.findOne(id);
37
+        Baker foundBaker = bakerRepository.findById(id).get();
34 38
 
35 39
         foundBaker.setName(baker.getName());
36 40
         foundBaker.setSpecialty(baker.getSpecialty());
@@ -40,7 +44,8 @@ public class BakerController {
40 44
 
41 45
     @RequestMapping(value="/bakers/id", method= RequestMethod.DELETE)
42 46
     public ResponseEntity<Boolean> destroy(@PathVariable Long id) {
43
-        this.bakerRepository.delete(id);
47
+        this.bakerRepository.deleteById(id);
44 48
         return new ResponseEntity<>(true, HttpStatus.OK);
45 49
     }
50
+
46 51
 }

src/main/java/com/zipcodewilmington/bakery/Controllers/MuffinController.java → src/main/java/com/example/demo/Controllers/MuffinController.java 查看文件

@@ -1,7 +1,7 @@
1
-package com.zipcodewilmington.bakery.Controllers;
1
+package com.example.demo.Controllers;
2 2
 
3
-import com.zipcodewilmington.bakery.Models.Muffin;
4
-import com.zipcodewilmington.bakery.Repositories.MuffinRepository;
3
+import com.example.demo.Models.Muffin;
4
+import com.example.demo.Repositories.MuffinRepository;
5 5
 import org.springframework.beans.factory.annotation.Autowired;
6 6
 import org.springframework.http.HttpStatus;
7 7
 import org.springframework.http.ResponseEntity;
@@ -10,9 +10,13 @@ import org.springframework.web.bind.annotation.*;
10 10
 @RestController
11 11
 public class MuffinController {
12 12
 
13
-    @Autowired
14 13
     private MuffinRepository muffinRepository;
15 14
 
15
+    @Autowired
16
+    public MuffinController(MuffinRepository muffinRepository) {
17
+        this.muffinRepository = muffinRepository;
18
+    }
19
+
16 20
     @RequestMapping(value="/muffins", method= RequestMethod.GET)
17 21
     public ResponseEntity<Iterable<Muffin>> index() {
18 22
         return new ResponseEntity<>(this.muffinRepository.findAll(), HttpStatus.OK);
@@ -20,7 +24,7 @@ public class MuffinController {
20 24
 
21 25
     @RequestMapping(value="/muffins/id", method= RequestMethod.GET)
22 26
     public ResponseEntity<Muffin> show(@PathVariable Long id) {
23
-        return new ResponseEntity<>(this.muffinRepository.findOne(id), HttpStatus.OK);
27
+        return new ResponseEntity<>(this.muffinRepository.findById(id).get(), HttpStatus.OK);
24 28
     }
25 29
 
26 30
     @RequestMapping(value="/muffins", method= RequestMethod.POST)
@@ -28,9 +32,9 @@ public class MuffinController {
28 32
         return new ResponseEntity<>(this.muffinRepository.save(muffin), HttpStatus.CREATED);
29 33
     }
30 34
 
31
-    @RequestMapping(value="/muffins/id", method= RequestMethod.GET)
35
+    @RequestMapping(value="/muffins/id", method= RequestMethod.PUT)
32 36
     public ResponseEntity<Muffin> update(@PathVariable Long id, @RequestBody Muffin muffin) {
33
-        Muffin foundMuffin = muffinRepository.findOne(id);
37
+        Muffin foundMuffin = muffinRepository.findById(id).get();
34 38
         foundMuffin.setFlavor(muffin.getFlavor());
35 39
 
36 40
         return new ResponseEntity<>(this.muffinRepository.save(foundMuffin), HttpStatus.OK);
@@ -38,7 +42,7 @@ public class MuffinController {
38 42
 
39 43
     @RequestMapping(value="/muffins/id", method= RequestMethod.DELETE)
40 44
     public ResponseEntity<Boolean> destroy(@PathVariable Long id) {
41
-        this.muffinRepository.delete(id);
45
+        this.muffinRepository.deleteById(id);
42 46
         return new ResponseEntity<>(true, HttpStatus.OK);
43 47
     }
44 48
 

src/main/java/com/zipcodewilmington/bakery/Models/Baker.java → src/main/java/com/example/demo/Models/Baker.java 查看文件

@@ -1,13 +1,14 @@
1
-package com.zipcodewilmington.bakery.Models;
1
+package com.example.demo.Models;
2 2
 
3 3
 import javax.persistence.Entity;
4 4
 import javax.persistence.GeneratedValue;
5
+import javax.persistence.GenerationType;
5 6
 import javax.persistence.Id;
6 7
 
7 8
 @Entity
8 9
 public class Baker {
9 10
     @Id
10
-    @GeneratedValue
11
+    @GeneratedValue(strategy = GenerationType.AUTO)
11 12
     private Long id;
12 13
 
13 14
     private String name;
@@ -16,6 +17,10 @@ public class Baker {
16 17
 
17 18
     private String specialty;
18 19
 
20
+    public Baker() {
21
+
22
+    }
23
+
19 24
     public Baker(String name, String employeeId, String specialty) {
20 25
         this.name = name;
21 26
         this.employeeId = employeeId;

src/main/java/com/zipcodewilmington/bakery/Models/Muffin.java → src/main/java/com/example/demo/Models/Muffin.java 查看文件

@@ -1,18 +1,23 @@
1
-package com.zipcodewilmington.bakery.Models;
1
+package com.example.demo.Models;
2 2
 
3 3
 import javax.persistence.Entity;
4 4
 import javax.persistence.GeneratedValue;
5
+import javax.persistence.GenerationType;
5 6
 import javax.persistence.Id;
6 7
 
7 8
 @Entity
8 9
 public class Muffin {
9 10
 
10 11
     @Id
11
-    @GeneratedValue
12
+    @GeneratedValue(strategy = GenerationType.AUTO)
12 13
     private Long id;
13 14
 
14 15
     private String flavor;
15 16
 
17
+    public Muffin() {
18
+
19
+    }
20
+
16 21
     public Muffin(String flavor) {
17 22
         this.flavor = flavor;
18 23
     }

+ 10
- 0
src/main/java/com/example/demo/Repositories/BakerRepository.java 查看文件

@@ -0,0 +1,10 @@
1
+package com.example.demo.Repositories;
2
+
3
+
4
+import com.example.demo.Models.Baker;
5
+import org.springframework.data.repository.CrudRepository;
6
+import org.springframework.stereotype.Repository;
7
+
8
+@Repository
9
+public interface BakerRepository extends CrudRepository<Baker, Long> {
10
+}

+ 9
- 0
src/main/java/com/example/demo/Repositories/MuffinRepository.java 查看文件

@@ -0,0 +1,9 @@
1
+package com.example.demo.Repositories;
2
+
3
+import com.example.demo.Models.Muffin;
4
+import org.springframework.data.repository.CrudRepository;
5
+import org.springframework.stereotype.Repository;
6
+
7
+@Repository
8
+public interface MuffinRepository extends CrudRepository<Muffin, Long> {
9
+}

+ 0
- 7
src/main/java/com/zipcodewilmington/bakery/Repositories/BakerRepository.java 查看文件

@@ -1,7 +0,0 @@
1
-package com.zipcodewilmington.bakery.Repositories;
2
-
3
-import com.zipcodewilmington.bakery.Models.Baker;
4
-import org.springframework.data.repository.CrudRepository;
5
-
6
-public interface BakerRepository extends CrudRepository<Baker, Long> {
7
-}

+ 0
- 7
src/main/java/com/zipcodewilmington/bakery/Repositories/MuffinRepository.java 查看文件

@@ -1,7 +0,0 @@
1
-package com.zipcodewilmington.bakery.Repositories;
2
-
3
-import com.zipcodewilmington.bakery.Models.Muffin;
4
-import org.springframework.data.repository.CrudRepository;
5
-
6
-public interface MuffinRepository extends CrudRepository<Muffin, Long> {
7
-}

src/test/java/com/zipcodewilmington/bakery/BakeryApplicationTests.java → src/test/java/com/example/demo/BakeryApplicationTests.java 查看文件

@@ -1,5 +1,7 @@
1
-package com.zipcodewilmington.bakery;
1
+package com.example.demo;
2 2
 
3
+import org.apache.catalina.core.ApplicationContext;
4
+import org.junit.Assert;
3 5
 import org.junit.Test;
4 6
 import org.junit.runner.RunWith;
5 7
 import org.springframework.boot.test.context.SpringBootTest;
@@ -9,8 +11,11 @@ import org.springframework.test.context.junit4.SpringRunner;
9 11
 @SpringBootTest
10 12
 public class BakeryApplicationTests {
11 13
 
12
-	@Test
13
-	public void contextLoads() {
14
-	}
14
+    private ApplicationContext applicationContext;
15
+
16
+    @Test
17
+    public void contextLoads() {
18
+//        Assert.assertNull(applicationContext.);
19
+    }
15 20
 
16 21
 }